import { jsx } from "react/jsx-runtime";
import { TokenDONUT as TokenDONUT$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenDONUT = forwardRef(
  ({ variant = "mono", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, alt: "DONUT", "data-name": "TokenDONUT", ...props, children: /* @__PURE__ */ jsx(TokenDONUT$1, { variant }) });
  }
);
TokenDONUT.displayName = "TokenDONUT";
Object.assign(TokenDONUT, { isGdsIcon: true });
export {
  TokenDONUT
};
